Create a task
curl --request PUT \
--url https://distillation.training.wandb.ai/v1/tasks/{alias} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "ticket-classifier",
"proxy_backend": "cloudflare",
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {}
}
]
}
'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}"
payload = {
"project": "ticket-classifier",
"proxy_backend": "cloudflare",
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: 'ticket-classifier',
proxy_backend: 'cloudflare',
targets: [{model_ref: 'openai/gpt-5.6-sol', weight: 1, params_override: {}}]
})
};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "<string>",
"project": "<string>",
"alias": "<string>",
"proxy_backend": "cloudflare",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"versions": [
{
"version": 2,
"created_at": "2023-11-07T05:31:56Z",
"routing": {
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {
"temperature": 0
}
}
]
},
"deployment": {
"proxy_backend": "<string>",
"status": "pending",
"applied_revision": 123,
"external_ref": "<string>",
"last_error": "<string>"
}
}
]
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Create a task
Creates task version 1, creates or adopts its W&B project, and optionally publishes initial routing.
PUT
/
tasks
/
{alias}
Create a task
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Path Parameters
Pattern:
^[a-z0-9-]{1,64}$Body
application/json
Last modified on August 25, 2026
Was this page helpful?
⌘I